For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate organization
            • GETGet organization
            • GETGet basic details by name
            • GETGet basic details by ID
            • GETGet organization settings
            • PUTUpdate organization
            • DELDelete organization
            • GETList suborganizations by organization
            • GETExport organizations by paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesOrganizations

List suborganizations by organization

|View as Markdown|Open in Claude|
GET
/Query/organizations/:orgId
GET
/api/Query/organizations/:orgId
$curl -G https://api-sandbox.payabli.com/api/Query/organizations/123 \
> -H "requestToken: <apiKey>" \
> -d fromRecord=251 \
> -d limitRecord=0 \
> -d sortBy=desc(field_name)
1{
2 "Records": [
3 {
4 "services": [
5 {}
6 ],
7 "contacts": [
8 {}
9 ],
10 "createdAt": "2022-07-01T15:00:01Z",
11 "hasBilling": true,
12 "hasResidual": true,
13 "idOrg": 123,
14 "isRoot": false,
15 "orgAddress": "123 Walnut Street",
16 "orgCity": "Johnson City",
17 "orgCountry": "US",
18 "orgEntryName": "pilgrim-planner",
19 "orgId": "I-123",
20 "orgName": "Pilgrim Planner",
21 "orgParentId": 236,
22 "orgParentName": "PropertyManager Pro",
23 "orgState": "TN",
24 "orgTimezone": -5,
25 "orgType": 0,
26 "orgWebsite": "www.pilgrimageplanner.com",
27 "orgZip": "orgZip",
28 "recipientEmailNotification": true,
29 "replyToEmail": "example@email.com",
30 "resumable": false,
31 "users": [
32 {
33 "createdAt": "2022-07-01T15:00:01Z",
34 "UsrMFAMode": 0
35 }
36 ]
37 }
38 ],
39 "Summary": {
40 "pageIdentifier": "null",
41 "pageSize": 20,
42 "totalAmount": 77.22,
43 "totalNetAmount": 77.22,
44 "totalPages": 2,
45 "totalRecords": 2
46 }
47}

Retrieves a list of an organization’s suborganizations and their full details such as orgId, users, and settings. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Was this page helpful?
Previous

Delete organization

Next

Export organizations by paypoint

Authentication

requestTokenstring
API Key authentication via header

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> **List of field names accepted:** - `createdAt` (gt, ge, lt, le, eq, ne) - `startDate` (gt, ge, lt, le, eq, ne) - `dbaname` (ct, nct) - `legalname` (ct, nct) - `ein` (ct, nct) - `address` (ct, nct) - `city` (ct, nct) - `state` (ct, nct) - `phone` (ct, nct) - `mcc` (ct, nct) - `owntype` (ct, nct) - `ownerName` (ct, nct) - `contactName` (ct, nct) - `orgParentname` (ct, nct) - `boardingId` (eq, ne) - `entryName` (ct, nct) **List of comparison accepted - enclosed between parentheses:** - `eq` or empty => equal - `gt` => greater than - `ge` => greater or equal - `lt` => less than - `le` => less or equal - `ne` => not equal - `ct` => contains - `nct` => not contains - `in` => inside array - `nin` => not inside array **List of parameters accepted:** - `limitRecord` : max number of records for query (default="20", "0" or negative value for all) - `fromRecord` : initial record in query Example: `dbaname(ct)=hoa` returns all records with a `dbaname` containing "hoa"
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Recordslist of objects
Summaryobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error

Collection of field names, conditions, and values used to filter the query.

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.

For example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

List of field names accepted:

  • createdAt (gt, ge, lt, le, eq, ne)
  • startDate (gt, ge, lt, le, eq, ne)
  • dbaname (ct, nct)
  • legalname (ct, nct)
  • ein (ct, nct)
  • address (ct, nct)
  • city (ct, nct)
  • state (ct, nct)
  • phone (ct, nct)
  • mcc (ct, nct)
  • owntype (ct, nct)
  • ownerName (ct, nct)
  • contactName (ct, nct)
  • orgParentname (ct, nct)
  • boardingId (eq, ne)
  • entryName (ct, nct)

List of comparison accepted - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array
  • nin => not inside array

List of parameters accepted:

  • limitRecord : max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord : initial record in query

Example: dbaname(ct)=hoa returns all records with a dbaname containing “hoa”